
Ruby - Bug #2827

ri  hangs during gem installation which results in a crash

03/01/2010 06:07 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 1.9.2   

ruby -v: ruby 1.9.2dev (2010-02-26 trunk 26763)

[powerpc-darwin9.8.0]

Backport:  

Description

=begin

$ ruby -v

ruby 1.9.2dev (2010-02-26 trunk 26763) [powerpc-darwin9.8.0]

$ gem update

Updating installed gems

Updating bundler

Due to a rubygems bug, you must uninstall older versions of the bundler gem for 0.9 to work.

If you still need bundler 0.8, install the 'bundler08' gem.

Successfully installed bundler-0.9.9

Updating haml-edge

Successfully installed haml-edge-2.3.164

Updating i18n

Successfully installed i18n-0.3.5

Updating thor

Successfully installed thor-0.13.4

Gems updated: bundler, haml-edge, i18n, thor

Installing ri documentation for bundler-0.9.9...

Installing ri documentation for haml-edge-2.3.164...

Installing ri documentation for i18n-0.3.5...

Installing ri documentation for thor-0.13.4...

ruby(518,0xa0b0d820) malloc: *** mmap(size=16384) failed (error code=12)

*** error: can't allocate region

*** set a breakpoint in malloc_error_break to debug

ruby(518,0xa0b0d820) malloc: *** mmap(size=16384) failed (error code=12)

*** error: can't allocate region

*** set a breakpoint in malloc_error_break to debug

[FATAL] failed to allocate memory

=end

History

#1 - 04/20/2010 10:48 PM - mame (Yusuke Endoh)

- Assignee set to drbrain (Eric Hodel)

=begin

Hi,

I cannot reproduce by "gem install thor" with trunk on Linux.

Could you elaborate the process to reproduce?

Eric, do you know anything about this ticket?

$ ../ruby-trunk-local/bin/gem install thor

Successfully installed thor-0.13.4

1 gem installed

Installing ri documentation for thor-0.13.4...

Installing RDoc documentation for thor-0.13.4...

--

Yusuke Endoh mame@tsg.ne.jp

=end
#2 - 04/22/2010 05:43 PM - drbrain (Eric Hodel)

- Status changed from Open to Closed

=begin

This bug is from RDoc 2.4, so I think it can be marked as fixed.

I cannot reproduce it on OS X 10.6:

$ ruby19 -v

ruby 1.9.2dev (2010-04-22 trunk 27441) [x86_64-darwin10.3.0]

$ gem19 install bundler haml-edge i18n thor -i ~/tmp/gems

Successfully installed bundler-0.9.23

Successfully installed haml-edge-2.3.209

Successfully installed i18n-0.3.7

Successfully installed thor-0.13.4

4 gems installed

Installing ri documentation for bundler-0.9.23...

Installing ri documentation for haml-edge-2.3.209...

Installing ri documentation for i18n-0.3.7...

Installing ri documentation for thor-0.13.4...

Installing RDoc documentation for bundler-0.9.23...

Installing RDoc documentation for haml-edge-2.3.209...

Installing RDoc documentation for i18n-0.3.7...

Installing RDoc documentation for thor-0.13.4...

$

=end
